<?php
/**
 * @package WordPress
 * @subpackage das_blog_screen
 */

get_header(); ?>

	<div id="content" class="narrowcolumn" role="main">

	<?php if (have_posts()) : ?>
		
		<?php while (have_posts()) : the_post(); ?>
		
		<div <?php post_class() ?>>
				<h2 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<div class="date"><?php the_time('F jS, Y') ?><!-- by <?php the_author() ?> -->&nbsp;-&nbsp;</div>
				<div class="commentLink"><?php comments_popup_link('No Comments', '1 Comment', '% Comments'); ?></div>	
				<div class="clearer"></div>
				<div class="tags">
					<?php the_tags('<div class="tagsHeader">Tags:</div> ', ', ', '<br />'); ?>
				</div>

				<div class="entry">
					<?php the_content() ?>
				</div>

				<div class="postFooter">
					<div class="postedIn"><div class="postedInHeader">Posted in: </div> <?php the_category(', ') ?><?php edit_post_link('Edit', ' | ', ''); ?></div>
				</div>

			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Older Entries') ?></div>
			<div class="alignright"><?php previous_posts_link('Newer Entries &raquo;') ?></div>
		</div>
	<?php else :

		if ( is_category() ) { // If this is a category archive
			printf("<h2 class='center'>Sorry, but there aren't any posts in the %s category yet.</h2>", single_cat_title('',false));
		} else if ( is_date() ) { // If this is a date archive
			echo("<h2>Sorry, but there aren't any posts with this date.</h2>");
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin(get_query_var('author_name'));
			printf("<h2 class='center'>Sorry, but there aren't any posts by %s yet.</h2>", $userdata->display_name);
		} else {
			echo("<h2 class='center'>No posts found.</h2>");
		}
		get_search_form();

	endif;
?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
