<?php
/**
 * @package WordPress
 * @subpackage das_blog_screen
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />

<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/jonk.js"></script>
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>

<?php wp_head(); ?>
</head>
<body><!-- <?php body_class(); ?>-->
<div id="page">


<div id="header" role="banner">
	<div id="headerimg">
		<div id="mainHeader">
			<h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
		</div>
		<div id="sideHeader">
			<div class="description"><?php bloginfo('description'); ?></div>
			<div class="pageType">
				<?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 	  			<?php /* If this is a category archive */ if (is_category()) { ?>
					<span class="pagetitle">#Archive for the &#8216;<?php single_cat_title(); ?>&#8217; Category</span>
 	  			<?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
					<span class="pagetitle">#Posts Tagged &#8216;<?php single_tag_title(); ?>&#8217;</span>
 	  			<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
					<span class="pagetitle">#Archive for <?php the_time('F jS, Y'); ?></span>
 	  			<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
					<span class="pagetitle">#Archive for <?php the_time('F, Y'); ?></span>
 	  			<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
					<span class="pagetitle">#Archive for <?php the_time('Y'); ?></span>
	  			<?php /* If this is an author archive */ } elseif (is_author()) { ?>
					<span class="pagetitle">#Author Archive</span>
 	  			<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
					<span class="pagetitle">#Blog Archives</span>
 	  			<?php /* If this is a page */ } elseif (is_page()) { ?>
					<span class="pagetitle">#<?php the_title(); ?></span>
 	  			<?php /* If this is a post */ } elseif (is_single()) { ?>
					<span class="pagetitle">#<?php the_title(); ?></span>
				<?php /* If this is a post */ } elseif (is_search()) { ?>
					<span class="pagetitle">#Search</span> 	  			
 	  			<?php } else { ?>
 	  				<span class="pagetitle">#Blog</span>
 	  			<?php } ?>
 	  		</div>
 	  </div>
 	  <div class="">
 	  		<?php get_search_form(); ?>
 	  </div>
	</div>
</div>
<div class="clearer"></div>
